Value (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface Value

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  KeyValue

All Known Implementing Classes:
  Any, Array, Bag, Collection, Component, DependantValue, IdentifierBag, IdentifierCollection, IndexedCollection, List, ManyToOne, Map, OneToMany, OneToOne, PrimitiveArray, Set, SimpleValue, ToOne

    public interface Value

extends Serializable

A value is anything that is persisted by value, instead of by reference. It is essentially a Hibernate Type, together with zero or more columns. Values are wrapped by things with higher level semantics, for example properties, collections, classes.

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`void` | `createForeignKey()`
`boolean[]` | `getColumnInsertability()`
`Iterator` | `getColumnIterator()`
`int` | `getColumnSpan()`
`boolean[]` | `getColumnUpdateability()`
`FetchMode` | `getFetchMode()`
`Table` | `getTable()`
`Type` | `getType()`
`boolean` | `hasFormula()`
`boolean` | `isAlternateUniqueKey()`
`boolean` | `isNullable()`
`boolean` | `isSimpleValue()`
`boolean` | `isValid(Mapping mapping)`
`void` | `setTypeUsingReflection(String className, String propertyName)`

Method Detail

### getColumnSpan

    int getColumnSpan()

### getColumnIterator

    Iterator getColumnIterator()

### getType

    Type getType()
                 throws MappingException

  Throws:
    `MappingException`

### getFetchMode

    FetchMode getFetchMode()

### getTable

    Table getTable()

### hasFormula

    boolean hasFormula()

### isAlternateUniqueKey

    boolean isAlternateUniqueKey()

### isNullable

    boolean isNullable()

### getColumnUpdateability

    boolean[] getColumnUpdateability()

### getColumnInsertability

    boolean[] getColumnInsertability()

### createForeignKey

    void createForeignKey()
                          throws MappingException

  Throws:
    `MappingException`

### isSimpleValue

    boolean isSimpleValue()

### isValid

    boolean isValid(Mapping mapping)
                    throws MappingException

  Throws:
    `MappingException`

### setTypeUsingReflection

    void setTypeUsingReflection(String className,
                                String propertyName)
                                throws MappingException

  Throws:
    `MappingException`

### accept

    Object accept(ValueVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.